%define	desktop_vendor planetccrma

%define pretag rc3

Summary: A midi controlled audio sampler
Name: specimen
Version: 0.5.2
Release: 0.1%{?pretag:.%{pretag}}%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://zhevny.com/specimen/
Source0: http://zhevny.com/specimen/files/specimen-%{version}%{?pretag:-%{pretag}}.tar.gz
Source1: specimen.desktop
Patch0: specimen-0.5.2-rc3-new-jack-midi.diff
Patch1: specimen-0.5.2-rc3-lmath.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager: Florin Andrei, Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

Requires: phat >= 0.3.0

BuildRequires: desktop-file-utils automake autoconf libtool
BuildRequires: glib2-devel gtk2-devel libgnomecanvas-devel e2fsprogs-devel
BuildRequires: phat-devel >= 0.3.0
BuildRequires: alsa-lib-devel libsamplerate-devel 
BuildRequires: lash-devel libsndfile-devel libxml2-devel zlib-devel
BuildRequires: jack-audio-connection-kit-devel >= 0.105.0
%description
Specimen is a midi controlled audio sampler for GNU/Linux systems. It
allows you to create music using various sound files, or "samples", in
tandem with a midi sequencer.

%prep
%setup -q -n specimen-%{version}%{?pretag:-%{pretag}}
%patch0 -p1
%patch1 -p1

%build
# do not treat warnings as errors in > fc4/gcc4
%if 0%{?fedora} >= 4
%{__perl} -p -i -e "s|-Wall -Werror|-Wall|g" configure.ac && ./bootstrap
%endif
%configure
%{__make} LDFLAGS="-llash" CPPFLAGS="-I/usr/include/lash-1.0" %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

BASE="Application AudioVideo Audio"
XTRA="X-Jack X-MIDI X-Synthesis Midi"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/specimen
%{_datadir}/specimen
%{_datadir}/applications/%{desktop_vendor}-specimen.desktop

%changelog
* Sat Jul 10 2010 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- add linking with -lm for fc13 build

* Thu Jul 10 2008 Arnaud Gomes-do-Vale <Arnaud.Gomes@ircam.fr>
- build with newer JACK MIDI API

* Wed Nov 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- updated desktop categories

* Wed Jun  6 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.2-0.1.rc3
- updated to 0.5.2-rc3
- no longer needs lash patch

* Wed Dec  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.1-3
- spec file tweaks and fc6 build

* Wed Sep  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.1-2
- added lash patch by Florian Schmidt, tweaked patch, added includes
  and library by hand in make call (patch does not include autotools
  support)

* Sun May 14 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.1-1
- updated to 0.5.1

* Thu Jul 21 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- add specific requirement for phat library version

* Mon Jul 11 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.0-1
- updated to 0.5.0
- needed to disable -Werror in fc4/gcc4

* Tue Dec 28 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.5-1
- updated to 0.4.5
- spec file cleanup

* Sat Oct  2 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.4-1
- updated to 0.4.4
- added phat-devel dependency

* Fri Sep 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.3-1
- updated to 0.4.3

* Mon Jun 21 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.1-1
- updated to 0.4.1

* Sat Jun 12 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.0-1
- updated to 0.3.1

* Tue Jun  1 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.9-1
- updated to 0.2.9
- added gnomecanvas and ladcca buildrequires

* Sat Mar 27 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.4-1
- updated to 0.2.4

* Tue Feb 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.2-1
- first release on Planet CCRMA

* Mon Feb 23 2004  <ninjadroid@gazuga.net> 
- modified and rebuilt for v0.2.2-1

* Thu Feb 19 2004 Florin Andrei <florin@andrei.myip.org>
- initial package, v0.2.0-1

